#include <iostream>
using namespace std;
int main()
{
    int n, l, i = 0, k, br = 1;
    cin >> n >> l;
    while (i < n) {
        cin >> k;
        if (l < k) {
            br++;
            i++;
        }
        else
            break;
    }
    if (br > n)
        br = -1;
    cout << br;

    return 0;
}